upstream: http://bugs.freedesktop.org/show_bug.cgi?id=15882

Index: git/hw/kdrive/Makefile.am
===================================================================
--- git.orig/hw/kdrive/Makefile.am	2007-09-08 22:17:12.000000000 +0200
+++ git/hw/kdrive/Makefile.am	2007-09-08 22:40:22.000000000 +0200
@@ -11,6 +11,10 @@
 XFAKE_SUBDIRS = fake
 endif
 
+if KDRIVEW100
+W100_SUBDIRS = w100
+endif
+
 if XSDLSERVER
 XSDL_SUBDIRS = sdl
 endif
@@ -26,6 +30,7 @@
 SERVER_SUBDIRS = 		\
 	$(XSDL_SUBDIRS)		\
 	$(FBDEV_SUBDIRS)	\
+	$(W100_SUBDIRS)		\
 	$(VESA_SUBDIRS)		\
 	$(XEPHYR_SUBDIRS)       \
 	$(XFAKE_SUBDIRS)
Index: git/configure.ac
===================================================================
--- git.orig/configure.ac	2007-09-08 22:39:48.000000000 +0200
+++ git/configure.ac	2007-09-08 22:40:59.000000000 +0200
@@ -540,6 +540,7 @@
 AC_ARG_ENABLE(kdrive,         AS_HELP_STRING([--enable-kdrive], [Build kdrive servers (default: no)]), [KDRIVE=$enableval], [KDRIVE=no])
 AC_ARG_ENABLE(xephyr,         AS_HELP_STRING([--enable-xephyr], [Build the kdrive Xephyr server (default: auto)]), [XEPHYR=$enableval], [XEPHYR=auto])
 AC_ARG_ENABLE(xsdl,           AS_HELP_STRING([--enable-xsdl], [Build the kdrive Xsdl server (default: auto)]), [XSDL=$enableval], [XSDL=auto])
+AC_ARG_ENABLE(w100,           AS_HELP_STRING([--enable-w100], [Build the kdrive Xw100 server (default: no)]), [KDRIVEW100=$enableval], [KDRIVEW100=no])
 AC_ARG_ENABLE(xfake,          AS_HELP_STRING([--enable-xfake], [Build the kdrive 'fake' server (default: auto)]), [XFAKE=$enableval], [XFAKE=auto])
 AC_ARG_ENABLE(xfbdev,         AS_HELP_STRING([--enable-xfbdev], [Build the kdrive framebuffer device server (default: auto)]), [XFBDEV=$enableval], [XFBDEV=auto])
 AC_ARG_ENABLE(kdrive-vesa,    AS_HELP_STRING([--enable-kdrive-vesa], [Build the kdrive VESA-based servers (default: auto)]), [KDRIVEVESA=$enableval], [KDRIVEVESA=auto])
@@ -1620,6 +1621,10 @@
 fi
 AM_CONDITIONAL(XP_USE_FREETYPE, [test "x$XPRINT" = xyes && test "x$XP_USE_FREETYPE" = xyes])
 
+AM_CONDITIONAL(KDRIVEW100, [test "x$KDRIVEW100" = xyes])
+if test "x$KDRIVEW100" = xyes; then
+        AC_DEFINE(KDRIVEW100, 1, [Build Xw100 server])
+fi
 
 dnl XWin DDX
 
@@ -2128,6 +2133,7 @@
 hw/kdrive/epson/Makefile
 hw/kdrive/fake/Makefile
 hw/kdrive/fbdev/Makefile
+hw/kdrive/w100/Makefile
 hw/kdrive/i810/Makefile
 hw/kdrive/linux/Makefile
 hw/kdrive/mach64/Makefile
